XCreateIC(3)

NAME
XCreateIC, XDestroyIC, XIMOfIC - create, destroy, and obtain the input method of an input context

SYNTAX

XIC XCreateIC(XIM im, ...);

void XDestroyIC(XIC ic);

XIM XIMOfIC(XIC ic);

ARGUMENTS

ic  Specifies the input context.

im  Specifies the input method.

... Specifies the variable length argument list to set XIC values.

DESCRIPTION
The function creates a context within the specified input method.

Some of the arguments are mandatory at creation time, and the input context will not be created if those arguments are not provided. The mandatory arguments are the input style and the set of text callbacks (if the input style selected requires callbacks). All other input context values can be set later.

returns a NULL value if no input context could be created. A NULL value could be returned for any of the following reasons:

•   A required argument was not set.

•   A read-only argument was set (for example,

•   The argument name is not recognized.

•   The input method encountered an input method implementation-dependent error.

The can generate and errors.

destroys the specified input context.

The function returns the input method associated with the specified input context.

DIAGNOSTICS

A value for an Atom argument does not name a defined Atom.

A value for a Colormap argument does not name a defined Colormap.

A value for a Pixmap argument does not name a defined Pixmap.

A value for a Window argument does not name a defined Window.

SEE ALSO
XOpenIM(3), XSetICFocus(3), XSetICValues(3), XmbResetIC(3)
Xlib - C Language X Interface